package com.benyun.core.service;

import com.benyun.core.entity.bo.WdAddrTypeDistribution;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.ArrayList;
import java.util.List;

@SpringBootTest
public class WdInfoServiceImplTest {
    @Autowired
    WdInfoService wdInfoService;

    @Test
    public void searchWdAddrDistributionTest(){
        List<String> addrCodes = new ArrayList<>();
        addrCodes.add("450902000000");
        addrCodes.add("451302000000");
        List<String> typeCodes = new ArrayList<>();
        typeCodes.add("020400");
        typeCodes.add("020103");
        List<WdAddrTypeDistribution> list = wdInfoService.searchAddrTypeDistribution(addrCodes, typeCodes);
        System.out.println(list);
    }

    @Test
    public void searchWdTypeDistributionTest(){
        List<String> addrCodes = new ArrayList<>();
        addrCodes.add("450981000000");
        addrCodes.add("451002000000");
        List<String> typeCodes = new ArrayList<>();
        typeCodes.add("1");
        typeCodes.add("0");
        List<WdAddrTypeDistribution> list = wdInfoService.searchWdTypeDistribution(addrCodes, typeCodes);
        System.out.println(list);
    }

    @Test
    public void searchWdTotalTest(){
        System.out.println(wdInfoService.searchWdTotal());
    }
}
